export const state = () => ({
  items: {
    all: [],
    featured: []
  }
})

export const actions = {
  async fetchBlogs({commit, state}) {
    const data = await this.$axios.$get('/api/v1/blogs')
    if(data.isAxiosError === true){
      console.log(data.data)
      return Error('')
    }
    debugger
    const { blogs } = data
    commit('setBlogs', {resource: 'all', blogs})
    return state.items.all
  }
}

export const mutations = {
  setBlogs(state, {resource, blogs}) {
    state.items[resource] = blogs
  }
}
